## org.apache.felix.obrplugin
Class ObrIndex

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.felix.obrplugin.ObrIndex

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public final class ObrIndex

extends org.apache.maven.plugin.AbstractMojo

Index the content of a maven repository using OBR

Author:
  Felix Project Team

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`ObrIndex()`

Method Summary
`protected void` `doTemplate(java.net.URI root, java.io.File path, org.apache.felix.bundlerepository.impl.ResourceImpl resource)`
`void` `execute()`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObrIndex

    public ObrIndex()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### doTemplate

    protected void doTemplate(java.net.URI root,
                              java.io.File path,
                              org.apache.felix.bundlerepository.impl.ResourceImpl resource)
                       throws java.io.IOException,
                              java.net.URISyntaxException

  Throws:
    `java.io.IOException`
    `java.net.URISyntaxException`

Copyright © 2011. All Rights Reserved.